<h1>Graphe orienté contrôlé par des forces</h1>
<%= javascript_include_tag 'jsviz-canvas/physics/ParticleModel' %>
<%= javascript_include_tag 'jsviz-canvas/physics/Magnet' %>
<%= javascript_include_tag 'jsviz-canvas/physics/Spring' %>
<%= javascript_include_tag 'jsviz-canvas/physics/Particle' %>
<%= javascript_include_tag 'jsviz-canvas/physics/RungeKuttaIntegrator' %>
<%= javascript_include_tag 'jsviz-canvas/layout/graph/ForceDirectedLayout' %>
<%= javascript_include_tag 'jsviz-canvas/layout/view/GraphView' %>
<%= javascript_include_tag 'jsviz-canvas/util/Timer' %>
<%= javascript_include_tag 'jsviz-canvas/util/EventHandler' %>
<%= javascript_include_tag 'jsviz-canvas/util/Arrow' %>
<%= javascript_include_tag 'jsviz-canvas/util/MD5' %>
<%= javascript_include_tag 'jsviz-canvas/io/DataGraph' %>

<%= javascript_include_tag 'forceDirected' %>

<div id="forcemigraph" style="width: 1024px; height: 768px;"></div>
<p id="migs"></p>

<% javascript_tag do -%>
	var forcemigraph = new forceDirectedMigrationGraph('forcemigraph', 'migs');
<% for migration in @migrations %>
	forcemigraph.createOrUpdateMigration('<%= h(migration.id) %>', '<%= h(migration.startNode) %>', '<%= h(migration.endNode) %>');
<% end %>
<% end -%>

<%=  periodically_call_remote( 
	:url => {:controller => 'tracker', :action => 'ajax_update_forceDirectedMigrationGraph'},
	:method => :get,
	:frequency => 5, 
	:with => "'lastMigId=' + forcemigraph.lastMigId + '&graph=forcemigraph'"
)
%>

